<?php

$page = 21; 
$title = "Applying rules to specific tags";
include_once ('functions.php');
head($title);
?>

<div id="wrap">
<div id="content">

<h2>Applying rules to specific tags</h2>

<p>Having the selector be a tag name is useful, but what if you don't want every single paragraph to have a pink background? This is done with the <strong>class selector</strong>.  A class selector will only apply its rules to an element in the HTML that has the specific class attribute value.</p>

<h3>Example of the class selector</h3>

<p>Let's say we just want only two of the paragraphs to have a pink background.</p>

<p>We modify the CSS:</p>
<pre class="css">
.pinkbg { background-color: pink; }
</pre>
<p>This selects HTML elements with the "pinkbg" class only. Note the period preceding the class name in the CSS.</p>

<p>We then modify the HTML:</p>
<pre>
&lt;p class="pinkbg"&gt;This paragraph will have a pink background.&lt;/p&gt;
&lt;p&gt;This will not.&lt;/p&gt;
&lt;p class="pinkbg"&gt;But this will!&lt;/p&gt;
</pre>
<p>Which looks like:</p>
<div class="preview">
<p class="pink">This paragraph will have a pink background.</p>
<p>This will not.</p>
<p class="pink">But this will!</p>
</div>

</div>
</div>

<?php footer($page);?>
