<?php

$page = 22; 
$title = "Id: another selector";
include_once ('functions.php');
head($title);
?>

<div id="wrap">
<div id="content">

<h2>Id: another selector</h2>

<p>Class selectors or extremely useful, but sometimes it makes more sense to mark a tag in such a way that it will be the <u>only</u> one on the page styled like it is. This is done with Id selectors.</p>

<h3>Example of the id selector</h3>

<p>Let's say we just want the first paragraph of the page to have a pink background.</p>

<p>We modify the CSS:</p>
<pre class="css">
#first { background-color: pink; }
</pre>
<p>This selects HTML elements with the "first" id only. Because of the nature of ids, there should only be one such element in the HTML. Note the pound sign preceding the id name in the CSS.</p>

<p>We then modify the HTML:</p>
<pre>
&lt;p id="first"&gt;This paragraph will have a pink background.&lt;/p&gt;
&lt;p&gt;This will not.&lt;/p&gt;
&lt;p&gt;Neither will this, there can only be one!&lt;/p&gt;
</pre>
<p>Which looks like:</p>
<div class="preview">
<p class="pink">This paragraph will have a pink background.</p>
<p>This will not.</p>
<p>Neither will this, there can only be one!</p>
</div>

</div>
</div>

<?php footer($page);?>
