<?php

$page = 23; 
$title = "Apply styles on hover: the pseudo-class selector";
include_once ('functions.php');
head($title);
?>

<div id="wrap">
<div id="content">

<h2>Apply styles on hover: the pseudo-class selector</h2>

<p>Pseudo-class selectors select certain states of an element, like <strong>hover</strong>.  They are most often used on anchor tags like so:</p>

<pre class="css">
a:hover { color: red; }
</pre>
<p>This will change any link's text color to red when the mouse hovers over it. The pseudo-class selector is delineated in the CSS code by a colon preceding the state you want to select. States of links are as follows: a:link, a:visited, a:hover, a:active.</p>

<p>Linked with this HTML:</p>
<pre>
Learn more &lt;a href="aboutus.html" title="About Us page"&gt;about us&lt;/a&gt;!
</pre>
<p>Looks like:</p>
<div class="preview">
Learn more <a href="aboutus.html" title="About Us page" class="redhover">about us</a>!
</div>

</div>
</div>

<?php footer($page);?>
