<?php

$page = 24; 
$title = "Apply styles to elements within elements";
include_once ('functions.php');
head($title);
?>

<div id="wrap">
<div id="content">

<h2>Apply styles to elements within elements</h2>

<p>Sometimes you may want to apply some rules to a tag only when it is contained in another tag. For example, you want only the paragraph text contained in your content div to be blue.</p> 

<p>Here's the CSS:</p>
<pre class="css">
#content p { color: blue; }
</pre>
<p>This selects only the paragraphs that are inside the element with the id of "content".</p>

<p>Here's the HTML:</p>
<pre>
&lt;div id="content"&gt;
	&lt;p&gt;Some blue text&lt;/p&gt;
	&lt;p&gt;Some more blue text&lt;/p&gt;
	Not blue because it's not in a p tag
&lt;/div&gt;
&lt;p&gt;Also not blue, not in #content&lt;/p&gt;
</pre>
<p>Which looks like:</p>
<div class="preview">
<div>
	<p class="blue">Some blue text</p>
	<p class="blue">Some more blue text</p>
	Not blue because it's not in a p tag
</div>
<p>Also not blue, not in #content</p>
</div>

</div>
</div>

<?php footer($page);?>
