<?php

$page = 26; 
$title = "Linking a stylesheet to an HTML page";
include_once ('functions.php');
head($title);
?>

<div id="wrap">
<div id="content">

<h2>Linking a stylesheet to an HTML page</h2>

<p>So how do we tell the HTML to use our CSS? First off, save all of your CSS rules in a text file and give it a .css extension.</p>

<p>Let's say you named it <strong>style.css</strong> and want it to apply to your <strong>index page</strong>. Here is what you do:</p>

<h3>index.html:</h3>
<pre>
&lt;html&gt;
&lt;head&gt;
&lt;title&gt;The home page&lt;/title&gt;
<strong>&lt;link rel="stylesheet" type="text/css" href="style.css" /&gt;</strong>
&lt;/head&gt;	
&lt;body&gt;
&lt;p&gt;A whole lot of style! &lt;span&gt;Ohhhh my.&lt;/span&gt;&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<p>Assuming your style.css file is in the same directory as index.html, you're set! Now everything in style.css will apply to the code of index.html.</p>

</div>
</div>

<?php footer($page);?>
